Skip to main content
POST
/
v1
/
customers.list
Typescript (SDK)
import { Autumn } from 'autumn-js'

const autumn = new Autumn()

const result = await autumn.customers.list({
  limit: 10,
});
{
  "list": [
    {
      "id": "2ee25a41-0d81-4ad2-8451-ec1aadaefe58",
      "name": "Patrick",
      "email": "patrick@useautumn.com",
      "createdAt": 1771409161016,
      "fingerprint": null,
      "stripeId": "cus_U0BKxpq1mFhuJO",
      "processors": {
        "stripe": {
          "id": "cus_U0BKxpq1mFhuJO"
        }
      },
      "env": "sandbox",
      "metadata": {},
      "sendEmailReceipts": false,
      "billingControls": {
        "autoTopups": []
      },
      "subscriptions": [
        {
          "planId": "pro_plan",
          "autoEnable": true,
          "addOn": false,
          "status": "active",
          "pastDue": false,
          "canceledAt": null,
          "expiresAt": null,
          "trialEndsAt": null,
          "startedAt": 1771431921437,
          "currentPeriodStart": 1771431921437,
          "currentPeriodEnd": 1771999921437,
          "quantity": 1
        }
      ],
      "purchases": [],
      "balances": {
        "messages": {
          "featureId": "messages",
          "granted": 100,
          "remaining": 0,
          "usage": 100,
          "unlimited": false,
          "overageAllowed": false,
          "maxPurchase": null,
          "nextResetAt": 1773851121437,
          "breakdown": [
            {
              "id": "cus_ent_39qmLooixXLAqMywgXywjAz96rV",
              "planId": "pro_plan",
              "includedGrant": 100,
              "prepaidGrant": 0,
              "remaining": 0,
              "usage": 100,
              "unlimited": false,
              "reset": {
                "interval": "month",
                "resetsAt": 1773851121437
              },
              "price": null,
              "expiresAt": null
            }
          ]
        }
      },
      "flags": {
        "advanced_workflows": {
          "id": "cus_ent_abc123",
          "plan_id": "pro_plan",
          "expires_at": null,
          "feature_id": "advanced_workflows"
        }
      },
      "config": {
        "disable_pooled_balance": false
      }
    }
  ],
  "next_cursor": null
}

Body Parameters

Response

{
  "list": [
    {
      "id": "2ee25a41-0d81-4ad2-8451-ec1aadaefe58",
      "name": "Patrick",
      "email": "patrick@useautumn.com",
      "createdAt": 1771409161016,
      "fingerprint": null,
      "stripeId": "cus_U0BKxpq1mFhuJO",
      "processors": {
        "stripe": {
          "id": "cus_U0BKxpq1mFhuJO"
        }
      },
      "env": "sandbox",
      "metadata": {},
      "sendEmailReceipts": false,
      "billingControls": {
        "autoTopups": []
      },
      "subscriptions": [
        {
          "planId": "pro_plan",
          "autoEnable": true,
          "addOn": false,
          "status": "active",
          "pastDue": false,
          "canceledAt": null,
          "expiresAt": null,
          "trialEndsAt": null,
          "startedAt": 1771431921437,
          "currentPeriodStart": 1771431921437,
          "currentPeriodEnd": 1771999921437,
          "quantity": 1
        }
      ],
      "purchases": [],
      "balances": {
        "messages": {
          "featureId": "messages",
          "granted": 100,
          "remaining": 0,
          "usage": 100,
          "unlimited": false,
          "overageAllowed": false,
          "maxPurchase": null,
          "nextResetAt": 1773851121437,
          "breakdown": [
            {
              "id": "cus_ent_39qmLooixXLAqMywgXywjAz96rV",
              "planId": "pro_plan",
              "includedGrant": 100,
              "prepaidGrant": 0,
              "remaining": 0,
              "usage": 100,
              "unlimited": false,
              "reset": {
                "interval": "month",
                "resetsAt": 1773851121437
              },
              "price": null,
              "expiresAt": null
            }
          ]
        }
      },
      "flags": {
        "advanced_workflows": {
          "id": "cus_ent_abc123",
          "plan_id": "pro_plan",
          "expires_at": null,
          "feature_id": "advanced_workflows"
        }
      },
      "config": {
        "disable_pooled_balance": false
      }
    }
  ],
  "next_cursor": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string
default:2.3.0
required

Body

application/json
start_cursor
string
default:""

Opaque pagination cursor. Empty string (default) requests the first page; use next_cursor from a prior response for subsequent pages.

limit
integer
default:50

Number of items to return. Default 50, hard ceiling 5000.

Required range: 1 <= x <= 5000
plans
object[]

Filter by plan ID and version. Returns customers with active subscriptions to this plan.

subscription_status
enum<string>

Filter by customer product status. Defaults to active and scheduled.

Available options:
active,
scheduled

Search customers by id, name, or email.

processors
enum<string>[]

Filter by customer processor type (stripe, revenuecat, vercel).

Available options:
stripe,
revenuecat,
vercel

Response

200 - application/json

OK

list
object[]
required

Items for current page.

next_cursor
string | null
required

Opaque cursor for the next page. Null when there are no more results.